package de.laliluna.examples.core;

import java.lang.annotation.Target;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Mar 10, 2009
 *
 * @author Sebastian Hennebrueder
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RequireRole {
	/**
	 * Required user roles for a method
	 * @return
	 */
	String[] value() default {};
}
