package de.laliluna.examples.www;

import net.sourceforge.stripes.action.*;

/**
 * Mar 10, 2009
 *
 * @author Sebastian Hennebrueder
 */

public class Caching implements ActionBean{
	private ActionBeanContext context;

	@DefaultHandler
	public Resolution index(){
		return new ForwardResolution("/caching.jsp");
	}

	// cache for 60 seconds
	@HttpCache(expires = 60)
	public Resolution cached(){
		context.getMessages().add(new SimpleMessage("Cached for one minute"));
		return new ForwardResolution("/caching.jsp");
	}

	public ActionBeanContext getContext() {
		return context;
	}

	public void setContext(ActionBeanContext context) {
		this.context = context;
	}
}
