package de.laliluna.example.pages.wizard;

import de.laliluna.example.model.Address;
import de.laliluna.example.model.Article;
import org.apache.tapestry5.annotations.InjectPage;

/**
 * @author Sebastian Hennebrueder
 */

public class Step1 extends AbstractWizard<Article> {

	@InjectPage
	private Step2 step2;
	@InjectPage
	private Start start;

	public Object onSuccess() {
		System.out.println("Dialog id in 1: "+getDialogId());
		return continueDialog(step2);
	}

	public Object onActionFromCancel(){
		endDialog();
		return start;
	}

}
