package de.laliluna.example.security;

/**
 * User: hennebrueder
 * Date: 05.08.2009
 */
public class SecurityServiceImpl implements SecurityService {
	public void storeUser(ApplicationUser user) {
		SecurityContextHolder.setUser(user);
	}

	public void cleanStorage() {
		SecurityContextHolder.clean();
	}

	public void logoutUser() {
		SecurityContextHolder.setUser(LoggedOutUser.getInstance());
	}

	public ApplicationUser getUser() {
		return SecurityContextHolder.getUser();
	}
}
