package de.laliluna.example.services;

import java.util.List;

/**
 * User: hennebrueder
 * Date: 05.08.2009
 */
public interface CountryService {

	/**
	 * Returns a list of all country names
	 * @return
	 */
	List<String> getAllCountryNames();

	/**
	 * Returns all countries starting with partial
	 * @param partial - beginning of the country name
	 * @return at least an empty List with matching country names
	 */
	List<String> getCountryNamesByPartial(String partial);

	
}
